%define name abuledu-calculs
%define version 1.20
%define release 0
%define execname Calculs.tcl
%define execpublicname calculs
%define abuledu_dest /usr/share/abuledu/applications

Summary: Calculs: Calcul mental, approch, d'equations , en arbre, de quotient.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://intranet.abuledu.org/~abuledu_jlsendral/%{name}-%{version}.tgz
Source1:    %{name}-16.png.bz2
Source2:    %{name}-32.png.bz2
Source3:   %{name}-48.png.bz2
License: GPL 2
Group: AbulEdu
Url: http://www.abuledu.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: tcl > 8.3, tk > 8.3
Requires: tcl > 8.3, tk > 8.3
## abuledu-leterrier >= 0.3

%description
   Les notions de calcul mental, rapide, pense, .. (re)font une entree
   remarquee dans les I.O. 
   Permettre le travail sur les expressions arithmetiques.
   A priori :
   - Enseignants et eleves doivent pouvoir parametrer le logiciel. (ici `a
   l'aide de scenarios).
   - Les bilans doivent etre accessibles et "utilisables!!!"
   - La traduction doit etre possible.

   Les connaissances necessaires pour calculer sont supposees avoir ete
   travaillees avec l'enseignant.

Contacts : Jean-Louis Sendral <jlsendral@free.fr>  et dev@abuledu.org

%prep
%setup

%build
cat > lanceur << EOF
#!/bin/sh
(
cd %{abuledu_dest}/%{name}
wish ./%{execname}
)
EOF
chmod 755 lanceur
chmod 755 *.tcl
chmod 755 runbrowser
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{abuledu_dest}/%{name}
mkdir -p $RPM_BUILD_ROOT/var/leterrier/%{execpublicname}
cp -a * $RPM_BUILD_ROOT%{abuledu_dest}/%{name}/

install -c lanceur $RPM_BUILD_ROOT%{_bindir}/%{execpublicname}
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{execpublicname}"\
title="%{execpublicname}"\
longtitle="%{name}"\
needs="x11"\
icon="%{name}.png"\
section="AbulEdu"
EOF
)
 
%post
cp -a %{abuledu_dest}/%{name}/runbrowser /usr/bin

if [ -d %{abuledu_dest}/%{name}/data ]; then
 chown -R root:root %{abuledu_dest}/%{name}/data
 chmod  -R 777 %{abuledu_dest}/%{name}/data
fi
 if [ -d  /etc/abuledu ] ; then
  if [ -d %{abuledu_dest}/%{name}/data ] ; then
  chown :profs  %{abuledu_dest}/%{name}/data
  chmod g+rwx %{abuledu_dest}/%{name}/data
  fi
fi  
 
%{update_menus}
 
%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc aide.html
%{_bindir}/%{execpublicname}
%{_menudir}/*
# icons
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{abuledu_dest}/%{name}/
%{abuledu_dest}/%{name}/*
##%attr(755, root, root) /var/leterrier/%{execpublicname}
##%attr(775,root,profs) %{abuledu_dest}/%{name}/data
##%attr(775,root,profs) %{abuledu_dest}/%{name}/data/*

%changelog
* Wed Jun 16 2004 JL Sendral
- relookage colorise. Degraissage general code.
* Mon Jun 14 2004 JL Sendral
- Possiblite de reommencer le meme exercice. Modifs tache en bg.
* Sat Jun 12   2004 JL Sendral
- Nouvele activite : equations
* Thu May 27 2004 JL Sendral
- Remise en forme du bilan par classse. 
* Mon May 24 2004 JL Sendral
- Ajout du Bilan par classe lisible par profs . Toujours les droits a regler a la main.
* Thu May 15 2004 JL Sendral
- Travail suivi sur les expressions. Modif du bilan pour en tenir compte.
- Renforcement controle des donnees.
* Sat May 08 2004 JL Sendral
- Renforcement travail sur les expressions arithmetiques.
- Possibilite d'utiliser les decimaux.
* Sat May 01 2004 JL Sendral
- edition interdite aux eleves ds le commun.spec pour data
* Thu Apr 30 2004  JL Sendral
- clics fous debusques, il en reste. aide legere mise a jour.
* Fri Apr 29 2004 JL Sendral
- ajout aide herve, appel aide cf denis, plus de .leterrier  et runbrowser
* Mon Mar 05 2004 JL Sendral
- Prise en compte de Enter
- M aj traduction anglais
* Wed Nov 11 2003 Eric Seigne <erics@rycks.com> 1.0-2
- Nouveau systme de gestion des logs pour viter les pb de droits !

* Sun May 11 2003 Eric Seigne <erics@rycks.com> 1.0-1
- First release

